/**
 * Tracks appearances and disappearances of strings within a set.
 */
export declare class GateKeeper {
    private readonly map;
    constructor();
    /**
     * Add an instance of the given string. If there are already some
     * instances of this string, this returns undefined. Otherwise it
     * returns a promise which is resolved when the last instance of
     * that string leaves.
     */
    incr(str: string): Promise<void> | undefined;
    /**
     * Remove an instance of the given string. If this is the last one
     * to leave, it will internally trigger a resolution to the promise
     * created when the first instance arriveds.
     */
    decr(str: string): void;
}
//# sourceMappingURL=gate-keeper.d.ts.map