declare const TELEMETRY_LEVELS: readonly ["silly", "debug", "warn", "error", "critical"];
export declare type TelemetryLevel = typeof TELEMETRY_LEVELS[number];
/**
 * @ignore
 */
export default class Telemetry {
    private levels;
    private sender;
    constructor(level: TelemetryLevel, sender: TelemetryHandler);
    send(level: TelemetryLevel, message: string, ...args: any[]): void;
}
export declare const consoleTelemetryHandler: TelemetryHandler;
/**
 * Callback to handle telemetry data.
 * @param isError Whether this telemetry is considered an error.
 * @param message Descriptive string describing something that happened.
 * @param args Possibly empty array containing additional information.
 */
export interface TelemetryHandler {
    (isError: boolean, message: string, ...args: any[]): void;
}
export {};
//# sourceMappingURL=telemetry.d.ts.map