"use strict";
/* eslint-disable no-console */
Object.defineProperty(exports, "__esModule", { value: true });
exports.consoleTelemetryHandler = void 0;
const TELEMETRY_LEVELS = [
    'silly',
    'debug',
    'warn',
    'error',
    'critical',
];
const ERROR_THRESHOLD = TELEMETRY_LEVELS.indexOf('error');
const ERROR_LEVELS = new Set(TELEMETRY_LEVELS.slice(ERROR_THRESHOLD));
/**
 * @ignore
 */
class Telemetry {
    constructor(level, sender) {
        const indexOfLevel = TELEMETRY_LEVELS.indexOf(level);
        this.levels = new Set(TELEMETRY_LEVELS.slice(indexOfLevel));
        this.sender = sender;
    }
    send(level, message, ...args) {
        if (this.levels.has(level)) {
            const isError = ERROR_LEVELS.has(level);
            const finalMess = `Motel ${level}: ${message}`;
            this.sender(isError, finalMess, ...args);
        }
    }
}
exports.default = Telemetry;
const consoleTelemetryHandler = (isError, message, ...args) => {
    if (isError) {
        console.error(message, ...args);
    }
    else {
        console.log(message, ...args);
    }
};
exports.consoleTelemetryHandler = consoleTelemetryHandler;
